---
title: News Top Stories
slug: serpwow/search-api/google/news-top-stories
docTags: 
createdAt: 2024-08-05T14:13:33.939Z
---

# Google News Top Stories Parameters

<font color="#52c41a">`DESKTOP`</font>&#x20;

<font color="#52c41a">`GET`</font>  `/search?search_type=news_top_stories`

The Google News Top Stories Parameters are applicable when making a request with  `search_type=news_top_stories`  to retrieve news results without a query.&#x20;

Use this request to get a real-time snapshot of news thats currently trending in a specific locale (visiting news.google.com). This request extracts 'top-stories' for `desktop` and `mobile`

- ![](https://api.archbee.com/api/optimize/lBACYsXnyAR7uhPRuYDjt-Pbx4d6LV_QCD8j_9o1qq3-20241024-215615.png)

For example, to request top stories news results in the location  `United States` , the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.serpwow.com/search?api_key=demo&search_type=news_top_stories&location=United+States
```

```curl
curl -L --get https://api.valueserp.com/search \
-d api_key="demo" \
-d q="pizza" \
-d search_type="news" \
-d location="United+States"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  q: "pizza",
  search_type: "news",
  location: "United+States"
}

// make the http GET request
axios.get('https://api.valueserp.com"/search', { params })
  .then(response => {

    // print the JSON response
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'q': 'pizza',
  'search_type': 'news',
  'location': 'United+States'
}

# make the http GET request
api_result = requests.get('https://api.valueserp.com/search', params)

# print the JSON response
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'q' => 'pizza',
  'search_type' => 'news',
  'location' => 'United+States'
]);

# make the http GET request
$ch = curl_init(sprintf('%s?%s', 'https://api.valueserp.com/search', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response
echo $api_result;

?>
```
:::

***

### Google News Parameters

The following parameters are available for all requests made when  `search_type=news_top_stories` .

| `Parameter`     | `Required` | `Description`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| --------------- | ---------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `search_type`   | `required` | Should be set to `search_type=news_top_stories` .                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `location`      | `optional` | Determines the geographic location in which the query is executed. You can enter any location as free-text, but if you choose one of the SerpWow [built-in locations ](https://docs.trajectdata.com/serpwow/locations-api/overview)then the `google_domain` , `gl` and `hl` parameters are automatically updated to the domain, country and language that match the built-in location (note that this behaviour can be disabled via the `location_auto` parameter).                                       |
| `location_auto` | `optional` | If the `location` field is set to a SerpWow [built-in location ](https://docs.trajectdata.com/serpwow/locations-api/overview)from the [Locations API ](https://docs.trajectdata.com/serpwow/locations-api/overview), and `location_auto` is set to `true` (default) then the `google_domain` , `gl` and `hl` parameters are automatically updated to the domain, country and language that match the built-in location. Valid values are `true` (default) to enable this behaviour or `false` to disable. |
| `uule`          | `optional` | The Google UULE parameter - use to pass through a custom `uule` parameter to Google. SerpWow automatically generates the `uule` when you use the `location` parameter but we allow you to overwrite it directly by specifying a `uule` directly.                                                                                                                                                                                                                                                          |
| `google_domain` | `optional` | The Google domain to use to run the search query. View the full list of supported `google_domain` values [here ](https://docs.trajectdata.com/serpwow/search-api/reference/google-domains). Defaults to `google.com` .                                                                                                                                                                                                                                                                                    |
| `gl`            | `optional` | The `gl` parameter determines the Google country to use for the query. View the full list of supported `gl` values [here ](https://docs.trajectdata.com/serpwow/search-api/reference/google-countries). Defaults to `us` .                                                                                                                                                                                                                                                                                |
| `hl`            | `optional` | The `hl` parameter determines the Google UI language to return results. View the full list of supported `hl` values [here ](https://docs.trajectdata.com/serpwow/search-api/reference/google-languages). Defaults to `en` .                                                                                                                                                                                                                                                                               |

***

**Next Steps**
     [Google News Top Stories Results](https://docs.trajectdata.com/serpwow/search-api/results/google/news-top-stories)
